Test::Int::Cumulatives::CumulativeAssignment Class Reference

Class for generating reasonable assignments. More...

## Public Member Functions

| CumulativeAssignment (int n, const Gecode::IntSet &d)
| Initialize assignments for n0 variables and values d0.
virtual bool | operator() (void) const
| Test whether all assignments have been iterated
virtual void | operator++ (void)
| Move to next assignment.
virtual int | operator[] (int i) const
| Return value for variable i.
virtual | ~CumulativeAssignment (void)
| Destructor.
Public Member Functions inherited from Test::Int::Assignment
| Assignment (int n0, const Gecode::IntSet &d0)
| Initialize assignments for n0 variables and values d0.
int | size (void) const
| Return number of variables.
virtual | ~Assignment (void)
| Destructor.

## Additional Inherited Members

Protected Attributes inherited from Test::Int::Assignment
int | n
| Number of variables.
Gecode::IntSet | d
| Domain for each variable.

## Detailed Description

Class for generating reasonable assignments.

Definition at line 90 of file cumulatives.cpp.

## Constructor & Destructor Documentation

## CumulativeAssignment()

Test::Int::Cumulatives::CumulativeAssignment::CumulativeAssignment | ( | int | n,
|  | const Gecode::IntSet & | d )

inline

Initialize assignments for n0 variables and values d0.

Definition at line 99 of file cumulatives.cpp.

## ~CumulativeAssignment()

virtual Test::Int::Cumulatives::CumulativeAssignment::~CumulativeAssignment | ( | void |  | ) |

inline virtual

Destructor.

Definition at line 123 of file cumulatives.cpp.

## Member Function Documentation

## operator()()

virtual bool Test::Int::Cumulatives::CumulativeAssignment::operator() | ( | void |  | ) | const

inline virtual

Test whether all assignments have been iterated

Implements Test::Int::Assignment.

Definition at line 108 of file cumulatives.cpp.

## operator++()

virtual void Test::Int::Cumulatives::CumulativeAssignment::operator++ | ( | void |  | ) |

inline virtual

Move to next assignment.

Implements Test::Int::Assignment.

Definition at line 112 of file cumulatives.cpp.

## operator[]()

virtual int Test::Int::Cumulatives::CumulativeAssignment::operator[] | ( | int | i | ) | const

inline virtual

Return value for variable i.

Implements Test::Int::Assignment.

Definition at line 118 of file cumulatives.cpp.

The documentation for this class was generated from the following file:

- test/int/cumulatives.cpp